Subject: Offline Message from Julie Sands: I received my EB 10 e bike last night. The
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Sat, 09 Apr 2022 16:37:30 -0000

From: Julie Sands <[email-masked]>
Phone: 8136000872
Location: Wesley Chapel, United States
URL: https://swagtron.com/FirstPurchase
Department: SwagTron

I received my EB 10 e bike last night. The box was damaged of which I took several pictures. When my husband took the bike out the rear carriage rack was bent down so as not to let the battery be pulled out. There was also paint missing where the bent damage occurred. I also took pictures of that. The bike has been put together and everything else seems to be ok. I do need a new rear carriage rack to replace the damaged one. Please let me know when I can expect to receive it. Thank you. 

----
Zopim
https://www.zopim.com